package com.bril.webfile.net.api;

import com.bril.webfile.response.FileResponse;
import com.bril.webfile.response.NextCloudResponse;

import java.util.List;

import io.reactivex.Observable;
import retrofit2.Call;
import retrofit2.http.Field;
import retrofit2.http.FormUrlEncoded;
import retrofit2.http.POST;

/**
 * Created by Xinghx on 2018/4/11 0011.
 */

public interface FileAPI {
    @FormUrlEncoded
    @POST("get_approved_files_app")
    Observable<List<FileResponse>> fileModel(@Field("user_id") String userId,
                                             @Field("module_names") String moduleNames);

    @FormUrlEncoded
    @POST("get_nextcloud_folders")
    Call<NextCloudResponse> nextCloud(@Field("userId") String userId,
                                      @Field("modular") String modular,
                                      @Field("addEmptyFolder") boolean addEmptyFolder);
}
