package com.bril.webfile.net.client;

import java.util.concurrent.TimeUnit;

import okhttp3.OkHttpClient;
import okhttp3.logging.HttpLoggingInterceptor;

/**
 * Created by Xinghx on 2018/3/2 0002.
 */

public class BaseClient {

    private OkHttpClient okHttpClient;
    private HttpLoggingInterceptor loggingInterceptor;
    public OkHttpClient getClient() {
        okHttpClient = new OkHttpClient();
        loggingInterceptor = new HttpLoggingInterceptor();
        loggingInterceptor.setLevel(HttpLoggingInterceptor.Level.BODY);
        okHttpClient = new OkHttpClient.Builder()
                .addInterceptor(loggingInterceptor)
                .connectTimeout(30000, TimeUnit.MILLISECONDS)
                .writeTimeout(30000, TimeUnit.MILLISECONDS)
                .readTimeout(30000, TimeUnit.MILLISECONDS)
                .build();
        return okHttpClient;
    }
}
